# $Revision: 1.14 $, $Date: 2008/08/10 11:43:26 $
Summary:	Source code browser for the Vim editor
Summary(pl.UTF-8):	Przeglądarka kodu źródłowego dla edytora Vim
Name:		vim-plugin-taglist
Version:	4.5
Release:	1
License:	GPL
Group:		Applications/Editors/Vim
Source0:	http://dl.sourceforge.net/vim-taglist/taglist_45.zip
# Source0-md5:	99b5366a64eea6092bb140df7d4c1a95
URL:		http://vim-taglist.sourceforge.net/
BuildRequires:	unzip
# for _vimdatadir existence
Requires:	vim-rt >= 4:6.3.058-3
Requires:	ctags
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
The "Tag List" plugin is a source code browser for the Vim editor. It
provides an overview of the structure of source code files and allows
you to efficiently browse through source code files in different
programming languages. It is the top-rated and most-downloaded plugin
for the Vim editor.

%description -l pl.UTF-8
Wtyczka "Tag List" to przeglądarka kodu źródłowego dla edytora Vim.
Udostępnia widok struktury plików kodu źródłowego i umożliwia
efektywne przeglądanie plików z kodem w różnych językach
programowania. Jest to jedna z najczęściej ściąganych wtyczek dla
Vima.

%prep
%setup -q -c

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_vimdatadir}
cp -a doc plugin $RPM_BUILD_ROOT%{_vimdatadir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
echo ':helptags %{_vimdatadir}/doc' | vim -e -s

%postun
if [ "$1" = 0 ]; then
	umask 022
	echo ':helptags %{_vimdatadir}/doc' | vim -e -s
fi

%files
%defattr(644,root,root,755)
%{_vimdatadir}/doc/*
%{_vimdatadir}/plugin/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-plugin-taglist.spec,v $
Revision 1.14  2008/08/10 11:43:26  adamg
- updated to 4.5

Revision 1.13  2008/06/08 10:52:18  glen
- vim-rt dep not vim itself

Revision 1.12  2007-02-12 22:09:19  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.10  2006/10/12 22:24:42  wrobell
- ver. 4.1

Revision 1.9  2006/05/20 13:24:45  radek
- version 4.0 beta4

Revision 1.8  2006/02/07 15:49:13  wrobell
- ver. 4.0.0 beta 3

Revision 1.7  2005/11/14 08:05:57  glen
- 4.0 beta 2

Revision 1.6  2005/11/14 08:03:29  glen
- process helptags just once on upgrade

Revision 1.5  2005/04/15 05:52:13  glen
- use vimfiles
- umask for scriptlets

Revision 1.4  2005/04/14 19:57:05  qboosh
- pl

Revision 1.3  2005/04/13 22:59:00  arekm
- R: ctags; adapterized

Revision 1.2  2005/04/13 22:49:04  arekm
- current epoch (is sucks)

Revision 1.1  2005/04/13 22:45:57  arekm
- initial pld release
